Zum Inhalt springen
Docs
Deutsch
Esc
navigateopen⌘Jpreview

List module groups

Returns a cursor-paginated list. Scoped to your integration’s institution via Basic Auth credentials.

GET/module-groups
Query parameters
cursorstring
limitinteger
default: 10
searchstring
Responses
200List of module groups
dataModuleGroup[]required
Show properties
Array of ModuleGroup
idstringrequired
namestringrequired
codestring | null
descriptionstring | null
colorstring | null
iconstring | null
institutionIdstringrequired
createdAtstring<date-time>required
updatedAtstring<date-time>required
paginationCursorPaginationrequired
Show properties
next_cursorstring | nullrequired
has_morebooleanrequired
limitintegerrequired
metaResponseMetarequired
Show properties
requestIdstringrequired
timestampstring<date-time>required
versionstringrequired
Allowed:v4
401Unauthorized
typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
429Too Many Requests
typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
500Internal Server Error
typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
Request
curl -X GET "https://fuxam.app/api/v4/module-groups"
Response
{
  "data": [
    {
      "id": "mg_001",
      "name": "Core Modules",
      "code": "CORE",
      "description": "Mandatory core modules for all students.",
      "color": "#0361fc",
      "icon": "layers",
      "institutionId": "inst_123",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-06-01T00:00:00.000Z"
    }
  ],
  "pagination": {
    "next_cursor": "string",
    "has_more": true,
    "limit": 0
  },
  "meta": {
    "requestId": "req_1234567890_abc",
    "timestamp": "2026-06-02T07:00:00.000Z",
    "version": "v4"
  }
}